Bug 183156

Summary: [patch] www/w3m: fix to work with updated boehm-gc port
Product: Ports & Packages Reporter: Oliver Fromme <oliver.fromme>
Component: Individual Port(s)Assignee: MANTANI Nobutaka <nobutaka>
Status: Closed FIXED    
Severity: Affects Only Me CC: olli
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Oliver Fromme 2013-10-21 13:20:00 UTC
With the recend update of devel/boehm-gc, www/w3m does not
compile anymore.  The reason is that the API of boehm-gc
has changed slightly:

Previously, the GC_set_warn_proc() function returned the old
value.  Now it doesn't do that anymore, instead it returns
void, and you have to use the new GC_get_warn_proc() function
to retrieve the old value.

This API change breaks w3m.

How-To-Repeat: 
Make sure you have the updated version of devel/boehm-gc
(7.2d), then try to build w3m.  You'll get this error:

cc  -I. -I. -O2 -pipe -march=athlon-mp -fno-strict-aliasing -I./libwc  -I/usr/include/openssl -I/usr/local/include -I/usr/local/include -DHAVE_CONFIG_H -DAUXBIN_DIR=\"/usr/local/libexec/w3m\"  -DCGIBIN_DIR=\"/usr/local/libexec/w3m/cgi-bin\" -DHELP_DIR=\"/usr/local/share/w3m\"  -DETC_DIR=\"/usr/local/etc\" -DCONF_DIR=\"/usr/local/etc/w3m\"  -DRC_DIR=\"~/.w3m\"  -DLOCALEDIR=\"/usr/local/share/locale\" -c main.c
main.c: In function 'main':
main.c:836: error: void value not ignored as it ought to be

The patch below fixes that.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-21 13:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-22 23:46:02 UTC
Author: nobutaka
Date: Tue Oct 22 22:45:00 2013
New Revision: 331336
URL: http://svnweb.freebsd.org/changeset/ports/331336

Log:
  Fix build error.
  
  PR:	ports/183097, ports/183156
  Submitted by:	Guillaume Bibaut <yom@iaelu.net>, Oliver Fromme <oliver.fromme@secnetix.de>

Added:
  head/www/w3m/files/patch-main.c   (contents, props changed)

Added: head/www/w3m/files/patch-main.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/w3m/files/patch-main.c	Tue Oct 22 22:45:00 2013	(r331336)
@@ -0,0 +1,13 @@
+--- main.c.old	2007-05-31 06:49:50.000000000 +0530
++++ main.c	2010-02-16 16:16:24.000000000 +0530
+@@ -842,7 +842,9 @@
+     mySignal(SIGPIPE, SigPipe);
+ #endif
+ 
+-    orig_GC_warn_proc = GC_set_warn_proc(wrap_GC_warn_proc);
++    orig_GC_warn_proc = GC_get_warn_proc();
++    GC_set_warn_proc(wrap_GC_warn_proc);
++
+     err_msg = Strnew();
+     if (load_argc == 0) {
+ 	/* no URL specified */
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 MANTANI Nobutaka freebsd_committer 2013-10-22 23:46:27 UTC
State Changed
From-To: open->closed

Fixed, thanks!